<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <%- include('../partials/head') %>
</head>
<body>
    <%- include('../partials/nav') %>

    <div class="contact contact-show">
        <h2>Show</h2>
        <div>
            <label>Name :  </label><span><%= contact.name %></span>
            <br>
            <label>Email :  </label><span><%= contact.email %></span>
            <br>
            <label>Phone :  </label><span><%= contact.phone %></span>
        </div>
        <div class="contact-menu">
            <!-- a 태그는 get 만 요청할 수 있다. -->
            <a href="/contacts/<%= contact.no %>/edit">Edit</a>
            <!-- form 태그는 post 만 요청할 수 있기에 "?_method=delete" 를 query 로 추가하여
                 이 부분을 서버의 method override package로 처리하여 delete 요청으로 변경한다.-->
            <form action="/contacts/<%= contact.no %>/del" method="post">
                <a href="#" onclick="confirm('Do you want to delete this?')?this.parentElement.submit():null;">Delete</a>
            </form>
        </div>
    </div>
</body>
</html>